enscript file name command execution

enscript-filename-command-execution (19029) The risk level is classified as HighHigh Risk

Description:

GNU enscript could allow a remote attacker to execute arbitrary commands on the system, caused by improper validation of user-supplied file names. A remote attacker could create a specially-crafted file name to exploit this vulnerability to execute arbitrary commands on the system.


Consequences:

Gain Access

Remedy:

For Apple Mac OS:
Apply Apple Security Update 2009-002, available from the Apple Web site. See References.

For Debian GNU/Linux 2.2 (woody):
Upgrade to the latest version of enscript (1.6.3-1.3 or later), as listed in DSA-654-1. See References.

For Gentoo Linux:
Upgrade to the latest version of enscript (1.6.3-r3 or later), as listed in GLSA 200502-03. See References.

For Red Hat Linux:
Refer to RHSA-2005:040-07 or RHSA-2005:039-06 for patch, upgrade, or suggested workaround information. See References.

For Ubuntu Linux:
Refer to USN-68-1 for patch, upgrade, or suggested workaround information. See References.

For other distributions:
Contact your vendor for upgrade or patch information.

References:

  • Apple Web site: About the security content of Security Update 2009-002 / Mac OS X v10.5.7.
  • enscript Web site: enscript.
  • BID-12329: GNU Enscript Multiple Vulnerabilities
  • CVE-2004-1185: Enscript 1.6.3 does not sanitize filenames, which allows remote attackers or local users to execute arbitrary commands via crafted filenames.
  • DSA-654: enscript -- several vulnerabilities
  • GLSA-200502-03: enscript: Multiple vulnerabilities
  • MDKSA-2005:033: Updated enscript packages fix multiple vulnerabilities
  • RHSA-2005-039: enscript security update
  • RHSA-2005-040: enscript security update
  • SA35074: Apple Mac OS X Security Update Fixes Multiple Vulnerabilities
  • SECTRACK ID: 1012965: GNU Enscript EPSF and Filename Command Input Validation Errors May Let Remote Users Execute Arbitrary Code in Certain Cases
  • SUSE-SR:2005:004: SUSE Security Summary Report
  • SUSE-SR:2005:005: SUSE Security Summary Report
  • USN-68-1: enscript vulnerabilities
  • VUPEN/ADV-2009-1297: Apple Mac OS X Code Execution and Security Bypass Vulnerabilities

Platforms Affected:

  • Apple Mac OS X 10.4.11
  • Apple Mac OS X 10.5
  • Apple Mac OS X 10.5.1
  • Apple Mac OS X 10.5.2
  • Apple Mac OS X 10.5.3
  • Apple Mac OS X 10.5.4
  • Apple Mac OS X 10.5.5
  • Apple Mac OS X 10.5.6
  • Apple Mac OS X Server 10.4.11
  • Apple Mac OS X Server 10.5
  • Apple Mac OS X Server 10.5.1
  • Apple Mac OS X Server 10.5.2
  • Apple Mac OS X Server 10.5.3
  • Apple Mac OS X Server 10.5.4
  • Apple Mac OS X Server 10.5.5
  • Apple Mac OS X Server 10.5.6
  • Canonical Ubuntu 4.10
  • Debian Debian Linux 3.0
  • Gentoo Linux
  • GNU enscript 1.3.0
  • GNU enscript 1.4
  • GNU enscript 1.4.0
  • GNU enscript 1.5
  • GNU enscript 1.5.0
  • GNU enscript 1.6
  • GNU enscript 1.6.0
  • GNU enscript 1.6.1
  • GNU enscript 1.6.2
  • GNU enscript 1.6.3
  • MandrakeSoft Mandrake Linux 10.0
  • MandrakeSoft Mandrake Linux 10.0 AMD64
  • MandrakeSoft Mandrake Linux 10.1 X86_64
  • MandrakeSoft Mandrake Linux 10.1
  • MandrakeSoft Mandrake Linux Corporate Server 2.1 X86_64
  • MandrakeSoft Mandrake Linux Corporate Server 2.1
  • MandrakeSoft Mandrake Linux Corporate Server 3.0 X86_64
  • MandrakeSoft Mandrake Linux Corporate Server 3.0
  • RedHat Enterprise Linux 2.1 AS
  • RedHat Enterprise Linux 2.1 ES
  • RedHat Enterprise Linux 2.1 WS
  • RedHat Enterprise Linux 3 Desktop
  • RedHat Enterprise Linux 3 WS
  • RedHat Enterprise Linux 3 ES
  • RedHat Enterprise Linux 3 AS
  • RedHat Enterprise Linux 4 AS
  • RedHat Enterprise Linux 4 Desktop
  • RedHat Enterprise Linux 4 ES
  • RedHat Enterprise Linux 4 WS
  • RedHat Linux Advanced Workstation 2.1 Itanium

Reported:

Jan 21, 2005

The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor (IBM Internet Security Systems X-Force) be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

For corrections or additions please email ignore thisxforceignore this@ignore thisus.ignore thisibm.comignore this

Return to the main page